EchoComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.component.simple.EchoComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component.simple
Class EchoComponent

    java.lang.Object
      org.mule.component.simple.LogComponent
          org.mule.component.simple.EchoComponent

All Implemented Interfaces:
  EchoService, LogService, Callable, EventListener

    public class EchoComponent

extends LogComponent
implements EchoService

`EchoComponent` will log the message and return the payload back as the result.

Constructor Summary
`EchoComponent()`

Method Summary
`String` | `echo(String echo)`
`Object` | `onCall(MuleEventContext context)` Passes the event to the listener

Methods inherited from class org.mule.component.simple.LogComponent
`log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EchoComponent

    public EchoComponent()

Method Detail

### onCall

    public Object onCall(MuleEventContext context)
                  throws Exception

  Description copied from interface: `Callable`
  Passes the event to the listener

  Specified by:
    `onCall` in interface `Callable`
  Overrides:
    `onCall` in class `LogComponent`
  Parameters:
    `context` - the context of the current event being process
  Returns:
    Object this object can be anything. When the `LifecycleAdapter` for the service receives this object it will first see if the Object is an `MuleMessage` if not and the Object is not null a new message will be created using the returned object as the payload. This new event will then get published via the configured outbound router if-
    1. One has been configured for the component.
    2. the `setStopFurtherProcessing(true)` wasn't called on the event context event.
  Throws:
    `Exception` - if the event fails to process properly. If exceptions aren't handled by the implementation they will be handled by the exceptionListener associated with the service

### echo

    public String echo(String echo)

  Specified by:
    `echo` in interface `EchoService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.